var __guid=new Date().valueOf();
//切换布局
function changeLayout(name) {
    window.localStorage.setItem('layout', name);
    window.location.reload();
}
window.customSysCofig = {
    //自定义取菜单接口
    customGetUserMenu:"",
    //首页标签
    syTitle: eap.lang.get('customSysCfg_pageTitle'),
    //默认门户   对应自定义门户功能
    sysSetTabs:{
        taskcenter:{
            title: eap.lang.get('customSysCfg_taskcenter'),
            id: __guid++,
            close: false,
            url: '#taskCenter',
        },
        mainpage:{
            title: eap.lang.get('customSysCfg_mainpage'),
            id: __guid++,
            close: false,
            url:"/eapdev/home/index/func/index.func",
            //actived: true //默认选中
        },
        itemSort:['taskcenter','mainpage'],
    },
    //默认 打开功能
    sysDefTabs: {
        design:{
            id: __guid++,
            title:"设计",
            url:'http://192.168.7.109:9090/#/design',
            close:true,
        },
        itemSort:[],
    },
    //头部菜单
    sysFuncMenus: {
        layout:{
            id: __guid++,
            name: eap.lang.get('customSysCfg_layout'),
            type: 'layout',
            iconClass: 'icon-layout',
            children: [
                {
                    id: 'vertical',
                    name: eap.lang.get('customSysCfg_updownlayout'),
                    handler: function () {
                        changeLayout(this.id);
                    }
                },
                {
                    id: 'level',
                    name: eap.lang.get('customSysCfg_leftrightlayout'),
                    handler: function () {
                        changeLayout(this.id);
                    }
                },
                {
                    id: 'concise',
                    name: eap.lang.get('customSysCfg_conciselayout'),
                    handler: function () {
                        changeLayout(this.id);
                    }
                }
            ]
        },
        messagecenter:{
            id: __guid++,
            name: eap.lang.get('customSysCfg_messagecenter'),
            type: 'withNumTips',
            iconClass: 'icon-bell',
            target:'tab',
            url:'/platf/msg/func/query.func',//消息中心地址
            numIntervalTime:1000*30,//循环时间，默认30秒
            //hideNotific:true,//隐藏底部消息通知
            //消息提示文字
            messageText:function(res){
                return  eap.lang.get("customSysCfg_unreadmessage").replace("{0}",res.num);
            },
            //获取未读消息数量
            numFunc:function(){
                return new Promise((resolve, reject) => {
                    let param = new eap.dataHelper.Param();
                    let where = new eap.dataHelper.Where();
                    let orders = new eap.dataHelper.Orders();
                    if (window.Scp.User.fuserid) {
                        where.eq("freceiver", window.Scp.User.fuserid);
                    }
                    where.setPage(1, -1);
                    param.where = where;
                    eap.dataHelper.query(
                        param,
                        "/platf/msg/entity/MsgUnReadBizEntity.xml",
                        "/platf/msg/func/query.func",
                    ).then(res=>{
                        let __data=res.dataPack.rows;
                        resolve({
                            num: (__data && __data.length > 0) ? __data.length : 0
                        });
                    }).catch(err=>{
                        reject(err);
                    });
                });
            },
        },
        itemSort:["|","layout","|","messagecenter","|"],
    },
    //浏览器标签logo
    //favicon: '/render/'+window.global.pUser+ '/' + window.global.pName + "/setting/desktop/sysAssets/favicon.png",
    //首页加载logo
    sysLoadLogo: {
        src: '/render/'+window.global.pUser+ '/' + window.global.pName + '/setting/desktop/sysAssets/sy_loading.png',
        title: eap.lang.get('customSysCfg_pageTitle')
    },
    //首页头部logo
    sysLogo: {
        src: '/render/'+window.global.pUser+ '/' + window.global.pName + '/setting/desktop/sysAssets/sy_logo.png',
        title: eap.lang.get('customSysCfg_pageTitle'),
        //width:null,
        //height:null,
        //clickHandler:()=>{alert(123456);},
    },
    //首页左右结构头部logo
    /*sysLogoHorizon: {
        src: '/render/'+window.global.pUser+ '/' +window.global.pName + '/setting/desktop/sysAssets/sy_logo_horizon.png',
        title: eap.lang.get('customSysCfg_pageTitle'),
        //width:null,
        //height:null,
    },*/
    //首页左右结构mini图标logo
    MsysLogo: {
        src: '/render/'+window.global.pUser+ '/' + window.global.pName + '/setting/desktop/sysAssets/sy_minLogo.png',
        title: eap.lang.get('customSysCfg_pageTitle'),
        //width:null,
        //height:null,
    },
    //默认布局类型 top:上下结构;left:左右结构;
    //layout:"left",
    //左右布局菜单项文字是否单行显示
    //isMenuWordwrap:true,
    //是否开启单页模式
    //isSinglePage:true,
    //是否开启功能页缓存模式
    //isPageCache:true,
    //是否开启全部功能菜单，不配置默认开启f
    //isShowAllFunc:false,
    //左右结构菜单宽度设置
    //leftMenuWidth:200,
    //多岗列表文本展示模板
    //orgBzTpl:"${fbzname}/${fbzid}",
    //是否显示多语言选择按钮
    //showChangeLangBtn:true,
    //引用第三方资源
    /*thirdParty:[
        {
            type:"js",
            link:"脚本资源路径",
        }
    ],*/
    //添加多语言类型
    /*addLangList:[
        {
            id: __guid++,
            name:"aaaa",
            key:"aaaaa"
        },
    ],*/
    //登录超时显示小登录弹窗（默认显示）
    //showMiniLogin:false,
    //是否隐藏头部设置按钮
    //hideSettingBtn:true,
    //是否隐藏最近使用列表
    //hideHistoryFuncList:true,
    //登出回调方法
    /*logoutCallback:()=>{
        **代码**
        if(window.HIVUI_SETTING.isSingleLogin&&window.HIVUI_SETTING.singleLogoutUrl){
            location=window.HIVUI_SETTING.singleLogoutUrl;
        }else{
            location=window.HIVUI_SETTING.loginUrl;
        }
    },*/
    //任务中心根据taskId打开新标签
    //openTabBytaskId:true,

    //登录页配置
    //登录页logo
    loginLogo: '/render/'+window.global.pUser+ '/' + window.global.pName + "/setting/desktop/sysAssets/login_logo.png",
    //logo高
    loginLogo_h: null,
    //logo宽
    loginLogo_w: null,
    //登录页背景
    loginBgImg: '/render/'+window.global.pUser+ '/' + window.global.pName + "/setting/desktop/sysAssets/login_bg.png",
    //登录标签
    loginTitle: eap.lang.get('customSysCfg_pageTitle'),
    //版权
    copyright: eap.lang.get('customSysCfg_copyright'),
    //是否开启扫码登录
    //isScan:false,
    //登录隐藏注册入口
    hideRegister:true,
    //是否启用登录页切岗
    isSelectUserBz:false,
    //app下载二维码;如果是二维码图片路径，请在字符串开头添加“imgUrl:”
    appQRcode:"",
}